(height, percent, charge, low, lpm, m_color, b_color) {
	var canvas = document.createElement("canvas");
	canvas.height = height/2;
	canvas.width = canvas.height * 2;
	var ctx = canvas.getContext("2d");
	
	var grad  = ctx.createLinearGradient( 0, 0, 0, canvas.height );
	grad.addColorStop( 1/16, "#70D83A" ); 
	grad.addColorStop( 2/16, "#93E75D" ); 
	grad.addColorStop( 3/16, "#BDF886" ); 
	grad.addColorStop( 4/16, "#C5FF8D" ); 
	grad.addColorStop( 5/16, "#C5FF86" ); 
	grad.addColorStop( 6/16, "#B6FA76" ); 
	grad.addColorStop( 7/16, "#A3F163" ); 
	grad.addColorStop( 8/16, "#86E249" ); 
	grad.addColorStop( 9/16, "#63CC2B" ); 
	grad.addColorStop( 10/16, "#52BC1E" ); 
	grad.addColorStop( 11/16, "#43AA15" ); 
	grad.addColorStop( 12/16, "#35990E" ); 
	grad.addColorStop( 13/16, "#2B8C0A" ); 
	grad.addColorStop( 14/16, "#278608" ); 
	grad.addColorStop( 15/16, "#349312" ); 
	grad.addColorStop( 16/16, "#44A31D" ); 
	ctx.fillStyle = grad;

	ctx.fillRect( 0, 0, canvas.width, canvas.height );

	grad  = ctx.createLinearGradient( 0, 0, canvas.width, 0 );
	grad.addColorStop( 0/25, "rgba( 255, 255, 255, 0.3 )" ); 
	grad.addColorStop( 2/25, "rgba( 255, 255, 255, 0.0 )" ); 
	grad.addColorStop( 23/25, "rgba( 255, 255, 255, 0.0 )" ); 
	grad.addColorStop( 25/25, "rgba( 255, 255, 255, 0.3 )" ); 
	ctx.fillStyle = grad;

	ctx.fillRect( 0, 0, canvas.width, canvas.height );

	return canvas.toDataURL("image/png");
}
